Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.jar
Class JarOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.util.zip.DeflaterOutputStream
                        |
                        +--java.util.zip.ZipOutputStream
                              |
                              +--java.util.jar.JarOutputStream

All Implemented Interfaces:
  java.util.zip.ZipConstants

public class JarOutputStream
extends ZipOutputStream

The `JarOutputStream` class is used to write the contents of a JAR file to any output stream. It extends the class `java.util.zip.ZipOutputStream` with support for writing an optional `Manifest` entry. The `Manifest` can be used to specify meta-information about the JAR file and its entries.

Since:
  1.2
See Also:
  `Manifest`, `ZipOutputStream`

Fields inherited from class java.util.zip.ZipOutputStream
`CENATT, CENATX, CENCOM, CENCRC, CENDSK, CENEXT, CENFLG, CENHDR, CENHOW, CENLEN, CENNAM, CENOFF, CENSIG, CENSIZ, CENTIM, CENVEM, CENVER, DEFLATED, ENDCOM, ENDHDR, ENDOFF, ENDSIG, ENDSIZ, ENDSUB, ENDTOT, EXTCRC, EXTHDR, EXTLEN, EXTSIG, EXTSIZ, LOCCRC, LOCEXT, LOCFLG, LOCHDR, LOCHOW, LOCLEN, LOCNAM, LOCSIG, LOCSIZ, LOCTIM, LOCVER, STORED`

Fields inherited from class java.util.zip.DeflaterOutputStream
`buf, def`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`JarOutputStream(OutputStream out)` Creates a new `JarOutputStream` with no manifest.
`JarOutputStream(OutputStream out, Manifest man)` Creates a new `JarOutputStream` with the specified `Manifest`.

Method Summary
`void` | `putNextEntry(ZipEntry ze)` Begins writing a new JAR file entry and positions the stream to the start of the entry data.

Methods inherited from class java.util.zip.ZipOutputStream
`close, closeEntry, finish, setComment, setLevel, setMethod, write`

Methods inherited from class java.util.zip.DeflaterOutputStream
`deflate, write`

Methods inherited from class java.io.FilterOutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarOutputStream

    public JarOutputStream(OutputStream out,
                           Manifest man)
                    throws IOException

  Creates a new `JarOutputStream` with the specified `Manifest`. The manifest is written as the first entry to the output stream.
  Parameters:
    `out` - the actual output stream
    `man` - the optional `Manifest`
  Throws:
    `IOException` - if an I/O error has occurred

### JarOutputStream

    public JarOutputStream(OutputStream out)
                    throws IOException

  Creates a new `JarOutputStream` with no manifest.
  Parameters:
    `out` - the actual output stream
  Throws:
    `IOException` - if an I/O error has occurred

Method Detail

### putNextEntry

    public void putNextEntry(ZipEntry ze)
                      throws IOException

  Begins writing a new JAR file entry and positions the stream to the start of the entry data. This method will also close any previous entry. The default compression method will be used if no compression method was specified for the entry. The current time will be used if the entry has no set modification time.
  Overrides:
    `putNextEntry` in class `ZipOutputStream`
  Parameters:
    `ze` - the ZIP/JAR entry to be written
  Throws:
    `ZipException` - if a ZIP error has occurred
    `IOException` - if an I/O error has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.